import request from '@/utils/request'
//获取日质检数，区分关键件非关键件
export function GetQaCount(query) {
  return request({
    url: 'business/QaInspectRecord/DailyStatistics',
    method: 'get',
    params: query,
  })
}
export function YGetQaCount(query) {
  return request({
    url: 'business/QaInspectRecord/YesterdayDailyStatistics',
    method: 'get',
    params: query,
  })
}
//获取日入库数，区分关键件非关键件
export function GetInCount(query) {
  return request({
    url: 'business/InInstoreRecord/DailyStatistics',
    method: 'get',
    params: query,
  })
}
export function YGetInCount(query) {
  return request({
    url: 'business/InInstoreRecord/YesterdayDailyStatistics',
    method: 'get',
    params: query,
  })
}
//获取日出库数，区分关键件非关键件
export function GetOutCount(query) {
  return request({
    url: 'business/OutOutstoreRecord/DailyStatistics',
    method: 'get',
    params: query,
  })
}
export function YGetOutCount(query) {
  return request({
    url: 'business/OutOutstoreRecord/YesterdayDailyStatistics',
    method: 'get',
    params: query,
  })
}
//获取日装配数，区分关键件非关键件
export function GetAssCount(query) {
  return request({
    url: 'business/OutAssembleRecord/DailyStatistics',
    method: 'get',
    params: query,
  })
}
export function YGetAssCount(query) {
  return request({
    url: 'business/OutAssembleRecord/YesterdayDailyStatistics',
    method: 'get',
    params: query,
  })
}
//获取关键件非关键件数量
export function GetKeyProportion(query) {
  return request({
    url: 'business/StkBalanceDtl/KeyStatistics',
    method: 'get',
    params: query,
  })
}
//获取物料类别分别数量
export function GetCategoryProportion(query) {
  return request({
    url: 'business/StkBalanceDtl/CategoryStatistics',
    method: 'get',
    params: query,
  })
}
